Page MenuHomeVyOS Platform

Serial interface seems not to be deleted properly
Closed, ResolvedPublicBUG

Description

No serial console is configured:

vyos@vyos:~$ show configuration commands | grep console
vyos@vyos:~$

But syslog tries to restart it

Oct 16 10:53:40 vyos systemd[1]: serial-getty@ttyS0.service holdoff time over, scheduling restart.
Oct 16 10:53:40 vyos systemd[1]: Stopping Serial Getty on ttyS0...
Oct 16 10:53:40 vyos systemd[1]: Starting Serial Getty on ttyS0...
Oct 16 10:53:40 vyos systemd[1]: Started Serial Getty on ttyS0.
Oct 16 10:53:40 vyos agetty[2164]: /dev/ttyS0: not a tty

VM running on VMware vSphere 6.5.x installed from ISO with no serial port connected in the VM

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po created this task.Oct 16 2019, 8:56 AM
pasik added a subscriber: pasik.Oct 16 2019, 9:00 PM
syncer triaged this task as Low priority.Nov 16 2019, 11:11 PM
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
c-po added a comment.Jun 21 2020, 11:25 AM

Resolved via T2569

c-po closed this task as Resolved.Jun 21 2020, 11:25 AM
c-po claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 3:32 PM